use benchmarks

let DATA_SIZES = seq 0 5 | each { 2 ** $in * 1024b }
const KS = [8, 32, 64, 128, 256]
const BFS = [1, 2, 4, 8, 16]
const NS = [2, 4, 8, 16]
const RPOS = [1, 2, 4, 8]
const QS = [50]
const HS = ["sha3-256"]
const FFS = ["fp128"]

const DATA = "benchmarks/results/fri.ndjson"
const OUTPUT_DIR = "benchmarks/results/figures/"

let res = benchmarks fri run --data-sizes $DATA_SIZES --ks $KS --blowup-factors $BFS --nb-queries $QS --hashes $HS --finite-fields $FFS --remainders $RPOS --folding-factors $NS
